\begin{latin}

\begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1,xscale=1]
%uncomment if require: \path (0,300); %set diagram left start at 0, and has height of 300

%Shape: Circle [id:dp8018219059521354] 
\draw   (420,110) .. controls (420,104.48) and (424.48,100) .. (430,100) .. controls (435.52,100) and (440,104.48) .. (440,110) .. controls (440,115.52) and (435.52,120) .. (430,120) .. controls (424.48,120) and (420,115.52) .. (420,110) -- cycle ;
%Straight Lines [id:da3380491853478078] 
\draw    (430,120) -- (430,150) ;


%Straight Lines [id:da2676536065589834] 
\draw    (430,130) -- (460,140) ;


%Straight Lines [id:da7368849399592072] 
\draw    (400,140) -- (430,130) ;


%Straight Lines [id:da7017222358242914] 
\draw    (430,150) -- (450,180) ;


%Straight Lines [id:da3916437625393627] 
\draw    (430,150) -- (410,180) ;


%Straight Lines [id:da12829431247571188] 
\draw    (390,110) -- (212,110) ;
\draw [shift={(210,110)}, rotate = 360] [color={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]    (10.93,-3.29) .. controls (6.95,-1.4) and (3.31,-0.3) .. (0,0) .. controls (3.31,0.3) and (6.95,1.4) .. (10.93,3.29)   ;

%Rounded Rect [id:dp018402897182697275] 
\draw   (80,104) .. controls (80,90.75) and (90.75,80) .. (104,80) -- (186,80) .. controls (199.25,80) and (210,90.75) .. (210,104) -- (210,176) .. controls (210,189.25) and (199.25,200) .. (186,200) -- (104,200) .. controls (90.75,200) and (80,189.25) .. (80,176) -- cycle ;
%Straight Lines [id:da2150805390364634] 
\draw    (210,150) -- (388,150) ;
\draw [shift={(390,150)}, rotate = 180] [color={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]    (10.93,-3.29) .. controls (6.95,-1.4) and (3.31,-0.3) .. (0,0) .. controls (3.31,0.3) and (6.95,1.4) .. (10.93,3.29)   ;


% Text Node
\draw (145,140) node  [align=left] {Process 600k\\images};
% Text Node
\draw (284,101) node  [align=left] {Select an image};
% Text Node
\draw (286,141) node  [align=left] {Show found image};


\end{tikzpicture}

\end{latin}